GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

Classes | Namespaces | Macros
gdcmTrace.h File Reference

Go to the source code of this file.

## Classes

class | gdcm::Trace
| Trace. More...

## Namespaces

namespace | gdcm

## Macros

#define | GDCM_FUNCTION "<unknow>"
#define | gdcmAssertAlwaysMacro(arg) gdcmAssertMacro(arg)
| AssertAlways.
#define | gdcmAssertMacro(arg)
| Assert.
#define | gdcmDebugMacro(msg)
| Debug.
#define | gdcmErrorMacro(msg)
| Error this is pretty bad, more than just warning It could mean lost of data, something not handle...
#define | gdcmWarningMacro(msg)
| Warning.

## Macro Definition Documentation

#define GDCM_FUNCTION "<unknow>"

#define gdcmAssertAlwaysMacro | ( |  | arg | ) | gdcmAssertMacro(arg)

AssertAlways.

Parameters

  arg | argument to test An easy solution to pass also a message is to do: gdcmAssertMacro( "my message" && 2 < 3 )

Referenced by gdcm::VR::Write().

#define gdcmAssertMacro | ( |  | arg | ) |

Value:
{ \
if( !(arg) ) \
{ \
std::ostringstream osmacro; \
osmacro << "Assert: In " __FILE__ ", line " << __LINE__ \
<< ", function " << GDCM_FUNCTION \
<< "\n\n"; \
std::ostream &_os = gdcm::Trace::GetStream(); \
_os << osmacro.str() << std::endl; \
assert ( arg ); \
} \
}

Assert.

Parameters

  arg | argument to test An easy solution to pass also a message is to do: gdcmAssertMacro( "my message" && 2 < 3 )

Referenced by gdcm::PixelFormat::SetSamplesPerPixel().

#define gdcmDebugMacro | ( |  | msg | ) |

Value:
{ \
if( gdcm::Trace::GetDebugFlag() ) \
{ \
std::ostringstream osmacro; \
osmacro << "Debug: In " __FILE__ ", line " << __LINE__ \
<< ", function " << GDCM_FUNCTION << '\n' \
<< "Last system error was: " \
<< gdcm::System::GetLastSystemError() << '\n' << msg; \
std::ostream &_os = gdcm::Trace::GetStream(); \
_os << osmacro.str() << "\n\n" << std::endl; \
} \
}

Debug.

Parameters

  msg | message part

Referenced by gdcm::ByteValue::ByteValue(), gdcm::SequenceOfFragments::Read(), gdcm::SequenceOfItems::Read(), gdcm::Item::Read(), gdcm::VR::Read(), and gdcm::ByteValue::SetLength().

#define gdcmErrorMacro | ( |  | msg | ) |

Value:
{ \
if( gdcm::Trace::GetErrorFlag() ) \
{ \
std::ostringstream osmacro; \
osmacro << "Error: In " __FILE__ ", line " << __LINE__ \
<< ", function " << GDCM_FUNCTION << '\n' \
<< msg << "\n\n"; \
std::ostream &_os = gdcm::Trace::GetStream(); \
_os << osmacro.str() << std::endl; \
} \
}

Error this is pretty bad, more than just warning It could mean lost of data, something not handle...

Parameters

  msg | second message part

Referenced by gdcm::CommandDataSet::Insert(), gdcm::FileMetaInformation::Insert(), gdcm::DataSet::Insert(), and gdcm::Item::Read().

#define gdcmWarningMacro | ( |  | msg | ) |

Value:
{ \
if( gdcm::Trace::GetWarningFlag() ) \
{ \
std::ostringstream osmacro; \
osmacro << "Warning: In " __FILE__ ", line " << __LINE__ \
<< ", function " << GDCM_FUNCTION << "\n" \
<< msg << "\n\n"; \
std::ostream &_os = gdcm::Trace::GetStream(); \
_os << osmacro.str() << std::endl; \
} \
}

Warning.

Parameters

  msg | message part

Referenced by gdcm::DataSet::InsertDataElement(), gdcm::SequenceOfFragments::Read(), gdcm::SequenceOfItems::Read(), gdcm::Item::Read(), gdcm::Fragment::ReadValue(), and gdcm::Item::Write().